
Name:          kfs
Version:       0.5
Release:       %mkrel 1
Summary:       Kosmos Distributed Filesystem
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/kosmosfs/
Source0:       http://sourceforge.net/projects/kosmosfs/files/kosmosfs/kfs-0.5/kfs-0.5.tar.gz
Source1:       kfs-template.pom
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant

#BuildRequires: boost-devel
#BuildRequires: cmake
#BuildRequires: fuse-devel
#BuildRequires: log4cpp-devel
#BuildRequires: xfs-devel

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Kosmos distributed file system (KFS) provides high performance combined with availability and reliability. It
is intended to be used as the backend storage infrastructure for data intensive apps such as, search engines,
data mining, grid computing etc.

KFS has been deployed in production settings on large clusters to manage multiple petabytes of storage.

KFS is implemented in C++ using standard system components such as STL, boost libraries, aio, log4cpp.

KFS is integrated with Hadoop and Hypertable.

%prep
%setup -q -n %{name}-%{version}

mkdir -p build/lib
%build

ant jar

# TODO
#sed -i 's|find_package(Boost COMPONENTS regex REQUIRED)||' CMakeLists.txt
#cmake -DBoost_LIBRARIES:PATH=%_libdir -DBoost_INCLUDE_DIRS:PATH=%_includedir
#ake

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/%{name}-%{version}.jar %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|@version@|%{version}|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap net.sf.kosmosfs %{name} %{version} JPP %{name}
 
%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README.txt doc examples

%changelog

* Sat Sep 24 2011 gil <gil> 0.5-1.mga2
+ Revision: 147530
- imported package kfs

